Skip to main content

Items

Returns MM2 items with values from both MM2Values and Supreme Values.

Endpoint​

GET /api/v1/items

Parameters​

ParameterTypeDescription
slugstringExact item slug (e.g. seer, chroma-scythe)
searchstringSearch by item name
categorystringFilter by category (godly, legendary, rare, etc.)
limitintegerResults per page (max 100, default 20)
offsetintegerPagination offset

Examples​

Get a specific item​

curl "https://rblxvalue.com/api/v1/items?slug=seer" \
-H "X-Api-Key: rbx_your_key_here"

Search by name​

curl "https://rblxvalue.com/api/v1/items?search=chroma" \
-H "X-Api-Key: rbx_your_key_here"

Filter by category​

curl "https://rblxvalue.com/api/v1/items?category=godly&limit=50" \
-H "X-Api-Key: rbx_your_key_here"

Response​

{
"success": true,
"total": 436,
"items": [
{
"id": 1,
"name": "Seer",
"slug": "seer",
"value": 1,
"value_source_a": 1,
"value_source_b": 1,
"category": "godly",
"type": "knife",
"demand": 8,
"stability": "Stable",
"image_url": "https://..."
}
],
"credit": "Data from rblxvalue.com"
}

Item Object​

FieldTypeDescription
idintegerUnique item ID
namestringDisplay name
slugstringURL-safe identifier
valueintegerBase value
value_source_aintegerMM2Values source
value_source_bintegerSupreme Values source
categorystringItem category
typestringknife, gun, pet
demandintegerDemand rating 0-10
stabilitystringStable, Unstable, Volatile
image_urlstringItem image URL